Upstream information

CVE-2017-7506 at MITRE

Description

spice versions though 0.13 are vulnerable to out-of-bounds memory access when processing specially crafted messages from authenticated attacker to the spice server resulting into crash and/or server memory leak.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.5 7.5
Vector AV:N/AC:L/Au:S/C:P/I:P/A:P AV:N/AC:M/Au:S/C:P/I:P/A:C
Access Vector Network Network
Access Complexity Low Medium
Authentication Single Single
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 7.6
Vector AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High High
SUSE Bugzilla entries: 1046779 [RESOLVED / FIXED], 1047730 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • libspice-server1 >= 0.12.7-10.3.1
  • spice >= 0.12.7-10.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-1138
SUSE Linux Enterprise Desktop 12 SP3
  • libspice-server1 >= 0.12.8-3.9
  • spice >= 0.12.8-3.9
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2017-1581
SUSE Linux Enterprise Server 11 SP4
  • libspice-server1 >= 0.12.4-11.1
  • spice >= 0.12.4-11.1
Patchnames:
slessp4-spice-13203
SUSE Linux Enterprise Server 12 SP1-LTSS
  • libspice-server1 >= 0.12.5-10.1
  • spice >= 0.12.5-10.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1137
SUSE Linux Enterprise Server 12 SP2
  • libspice-server1 >= 0.12.7-10.3.1
  • spice >= 0.12.7-10.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1138
SUSE Linux Enterprise Server 12 SP3
  • libspice-server1 >= 0.12.8-3.9
  • spice >= 0.12.8-3.9
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1581
SUSE Linux Enterprise Server 12-LTSS
  • libspice-server1 >= 0.12.4-8.15.1
  • spice >= 0.12.4-8.15.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1136
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • libspice-server1 >= 0.12.4-11.1
  • spice >= 0.12.4-11.1
Patchnames:
slessp4-spice-13203
SUSE Linux Enterprise Server for SAP Applications 12
  • libspice-server1 >= 0.12.4-8.15.1
  • spice >= 0.12.4-8.15.1
Patchnames:
SUSE-SLE-SAP-12-2017-1136
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libspice-server1 >= 0.12.5-10.1
  • spice >= 0.12.5-10.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2017-1137
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libspice-server1 >= 0.12.5-10.1
  • spice >= 0.12.5-10.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-1137
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libspice-server1 >= 0.12.7-10.3.1
  • spice >= 0.12.7-10.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-1138
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libspice-server1 >= 0.12.8-3.9
  • spice >= 0.12.8-3.9
Patchnames:
SUSE-SLE-SERVER-12-SP3-2017-1581
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • libspice-server1 >= 0.12.4-8.15.1
  • spice >= 0.12.4-8.15.1
Patchnames:
SUSE-SLE-SERVER-12-2017-1136
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libspice-server-devel >= 0.12.4-11.1
  • spice >= 0.12.4-11.1
Patchnames:
sdksp4-spice-13203
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libspice-server-devel >= 0.12.7-10.3.1
  • spice >= 0.12.7-10.3.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-1138
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libspice-server-devel >= 0.12.8-3.9
  • spice >= 0.12.8-3.9
Patchnames:
SUSE-SLE-SDK-12-SP3-2017-1581
SUSE OpenStack Cloud 6
  • libspice-server1 >= 0.12.5-10.1
  • spice >= 0.12.5-10.1
Patchnames:
SUSE-OpenStack-Cloud-6-2017-1137
openSUSE Leap 42.2
  • libspice-server-devel >= 0.12.7-5.4.1
  • libspice-server1 >= 0.12.7-5.4.1
  • libspice-server1-debuginfo >= 0.12.7-5.4.1
  • spice >= 0.12.7-5.4.1
  • spice-client >= 0.12.7-5.4.1
  • spice-debugsource >= 0.12.7-5.4.1
Patchnames:
openSUSE-2017-805
openSUSE Leap 42.3
  • libspice-server-devel >= 0.12.8-3.1
  • libspice-server1 >= 0.12.8-3.1
  • libspice-server1-debuginfo >= 0.12.8-3.1
  • spice >= 0.12.8-3.1
  • spice-debugsource >= 0.12.8-3.1
Patchnames:
openSUSE-2017-1110


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 spice Released
SUSE Linux Enterprise Desktop 12 SP3 spice Released
SUSE Linux Enterprise SDK 11 SP4 spice Released
SUSE Linux Enterprise SDK 12 SP2 spice Released
SUSE Linux Enterprise SDK 12 SP3 spice Released
SUSE Linux Enterprise Server 11 SP4 spice Released
SUSE Linux Enterprise Server 12 GA LTSS spice Released
SUSE Linux Enterprise Server 12 SP1 LTSS spice Released
SUSE Linux Enterprise Server 12 SP2 spice Released
SUSE Linux Enterprise Server 12 SP3 spice Released